<?php

namespace Drupal\drd_pi;

/**
 * Provides abstract class for platform based entities.
 */
abstract class DrdPiEntity implements DrdPiEntityInterface {

  protected $label;
  protected $type;
  protected $account;
  protected $id;

  protected $entity;

  public function __construct($label, $type, $account, $id) {
    $this->label = $label;
    $this->type = $type;
    $this->account = $account;
    $this->id = $id;
  }

  /**
   * @inheritDoc
   */
  public function id() {
    return $this->id;
  }

  /**
   * @inheritDoc
   */
  public function label() {
    return $this->label;
  }

  /**
   * @inheritDoc
   */
  public function setDrdEntity($entity) {
    $this->entity = $entity;
    return $this;
  }

  /**
   * @inheritDoc
   */
  public function getDrdEntity() {
    return $this->entity;
  }

  /**
   * @inheritDoc
   */
  public function hasDrdEntity() {
    return !empty($this->entity);
  }

}
