<?php

namespace Drupal\drd_pi_pantheon;

use Drupal\drd_pi\DrdPiDomain;

/**
 * Provides platform based domain.
 */
class PiDomain extends DrdPiDomain {

  /** @var \Drupal\drd_pi_pantheon\Entity\Account */
  protected $pantheon;

  public function __construct($label, $type, $account, $id, $core, $domain, $pantheon) {
    parent::__construct($label, $type, $account, $id, $core, $domain);
    $this->pantheon = $pantheon;
  }

  protected function ensureAgent() {
    return $this->pantheon->shell('remote:drush ' . $this->host()->id() . '.' . $this->id(), 'en -y drd_agent', FALSE);
  }

  protected function postSave() {
    /** @var \Drupal\drd\Entity\DomainInterface $domain */
    $domain = $this->getDrdEntity();
    $this->pantheon->shell('remote:drush ' . $this->host()->id() . '.' . $this->id(), 'drd-agent-setup ' . $domain->getRemoteSetupToken(FALSE), FALSE);
    parent::postSave();
  }

}
